{% load static %}
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Feria Virtual</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
        integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/slick-1.8.1/slick/slick.css' %}">
    <link rel="stylesheet" href="{% static 'css/slick-1.8.1/slick/slick-theme.css' %}">

    <link rel="stylesheet" href="{% static 'css/maine.css' %}">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link rel="icon" type="image/png" href="{% static 'img/favicon.ico' %}">
</head>

<body>
    <div class="container-fluid">
        <!-- Header -->
        {% include 'cliente/header.html' %}
        <!-- End of header -->


        <div class="row">
            <div class="col-12 col-md-2" style="margin-bottom:15px;">
                <div class="category-header">
                    Categorias
                    <span style="float: right; margin-right:15px; font-weight: bold;">
                        <!-- <i class="fas fa-chevron-down"></i> !-->
                    </span>
                </div>
                <ul class="list-group">
                    <a href="{% url 'index' %}">
                        <li class="list-group-item" {% if categoria == 3 %}style="background-color: rgb(235, 235, 235);"{% endif %}> Todos los productos</li>
                    </a>
                    <a href="{% url 'index' %}?categoria=1">
                        <li class="list-group-item" {% if categoria == 1 %}style="background-color: rgb(235, 235, 235);"{% endif %}>Frutas</li>
                    </a>
                    <a href="{% url 'index' %}?categoria=2">
                        <li class=" list-group-item" {% if categoria == 2 %}style="background-color: rgb(235, 235, 235);"{% endif %}>Verduras</li>
                    </a>
                </ul>

            </div>

            <div class="col-12 col-sm-10">
                <div class="row">
                    <div class="col-12 col-sm-10 text-center">
                        <h4>
                        {% if categoria == 1 %}    
                            Frutas
                        {% elif categoria == 2 %}
                            Verduras
                        {% else %}
                            Todos los productos
                        {% endif %}
                        </h4>
                        <div class="row text-left">
                            {% for i in page.object_list %}

                            <div class="col-3">
                                {% include 'cliente/card.html' %}
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>



                
            </div>

            <!-- Paginacion -->
        <div class="col-12 text-center">
            {% if page.paginator.num_pages > 1 %}
            <div style="height: 10px;"></div>
            <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center">
                    {% if page.has_previous %}
                    <li class="page-item">
                        <a class="page-link green"
                            href="
                            {% if categoria == 1 %}
                            {% url 'index' %}?categoria=1&page=1
                            {% elif categoria == 2 %}
                            {% url 'index' %}?categoria=2&page=1
                            {% else %}
                            {% url 'index' %}?page=1
                            {% endif %}
                            "><i
                                class="fas fa-angle-double-left"></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green" href="
                        {% if categoria == 1 %}
                        {% url 'index' %}?categoria=1&page={{page.previous_page_number}}
                        {% elif categoria == 2 %}
                        {% url 'index' %}?categoria=2&page={{page.previous_page_number}}
                        {% else %}
                        {% url 'index' %}?page={{page.previous_page_number}}
                        {% endif %}
                        
                        " tabindex=" -1"><i class="fas fa-angle-left"></i></i></a>
                    </li>
                    {% endif %}
                    {% for i in page.paginator.page_range %}

                    {% if i <= page.number|add:5 and i >= page.number|add:-5 %}

                    <li class="page-item {% if page.number == i %}active{% endif %}"><a
                            class="page-link green {% if page.number == i %}greenbg{% endif %}"
                            href="
                            {% if categoria == 1 %}
                            {% url 'index' %}?categoria=1&page={{i}}
                            {% elif categoria == 2 %}
                            {% url 'index' %}?categoria=2&page={{i}}
                            {% else %}
                            {% url 'index' %}?page={{i}}
                            {% endif %}
                            ">{{i}}</a></li>

                    {% endif %}

                    {% endfor %}

                    {% if page.has_next %}

                    <li class="page-item">
                        <a class="page-link green" href="
                        {% if categoria == 1 %}
                        {% url 'index' %}?categoria=1&page={{page.next_page_number}}
                        {% elif categoria == 2 %}
                        {% url 'index' %}?categoria=2&page={{page.next_page_number}}
                        {% else %}
                        {% url 'index' %}?page={{page.next_page_number}}
                        {% endif %}
                        
                        "><i
                                class="fas fa-angle-right"></i></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green" href="
                        {% if categoria == 1 %}
                        {% url 'index' %}?categoria=1&page={{page.paginator.num_pages}}
                        {% elif categoria == 2 %}
                        {% url 'index' %}?categoria=2&page={{page.paginator.num_pages}}
                        {% else %}
                        {% url 'index' %}?page={{page.paginator.num_pages}}
                        {% endif %}
                        
                        "><i
                                class="fas fa-angle-double-right"></i></a>
                    </li>
                    {% endif %}

                </ul>
            </nav>
            {% endif %}
        </div>
        <!-- Fin paginacion -->




        </div>

    </div>



    <!--Footer-->
    {% include 'cliente/footer.html' %}
    <script src="{% static 'js/jquery.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.js' %}"></script>

</body>

</html>